Subject: Re: [PATCH] add iommu_num_pages helper function

From: Ingo Molnar <[email-masked]>
Date: Tue, 29 Jul 2008 12:31:46 +0200

* FUJITA Tomonori <[email-masked]> wrote:

> On Tue, 29 Jul 2008 03:10:05 -0700 (PDT)
> David Miller <[email-masked]> wrote:
> 
> > From: Joerg Roedel <[email-masked]>
> > Date: Tue, 29 Jul 2008 11:50:27 +0200
> > 
> > > I think moving that function to x86-only code is the best solution for
> > > now. Before moving it back to generic code we need an architecture
> > > independent way to find out the IOMMU page size.
> > 
> > My suggestion (again) is to pass it in as a "const unsigned long
> > io_page_size" argument and update the callers.
> 
> Either is fine by me.
> 
> Joerg, if you like, please finish this (for all the architectures, 
> please). As I said before, I planed to work on this cleanup after rc1 
> (and this should have been 2.6.28 stuff). But I'd appreciate if you 
> would do.

i've queued up your quick fix in tip/x86/urgent to resolve the immediate 
-git build breakage. The wider patch can then be done on top of that, 
without being rushed. Any objections to this approach?

	Ingo